Bug 95280 - UI: Inconsistent menu item for indexes and tables
Summary: UI: Inconsistent menu item for indexes and tables
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Menus
  Show dependency treegraph
 
Reported: 2015-10-23 16:39 UTC by Stanislav Horacek
Modified: 2015-11-27 08:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
index submenu in Writer 5.0 (left) and 5.1 (right) (58.12 KB, image/png)
2015-10-23 16:39 UTC, Stanislav Horacek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Horacek 2015-10-23 16:39:26 UTC
Created attachment 119913 [details]
index submenu in Writer 5.0 (left) and 5.1 (right)

In Writer 5.1, the menu item "Indexes and Tables" has been renamed to "Indexes and Tables of Contents". However, the corresponding submenu name "Indexes and Tables" has been changed to "Table of Contents and Index" which:
- does not correspond with the submenu item,
- mixes up singular and plural.

Checked in 5.1 alpha 1.
Comment 1 Yousuf Philips (jay) 2015-10-25 17:21:11 UTC
Hi Stanislav,

Yes this is something i've been wanting to fix and will be fixed in my next patch to bug 91781.
Comment 2 Yousuf Philips (jay) 2015-11-03 22:23:50 UTC
So i'll be changing the menu entry to 'Table of Contents or ~Index...'.
Comment 3 Stanislav Horacek 2015-11-04 08:23:37 UTC
Which one? Both of them (which makes sense for me)?

Also, is there any guideline whether to use "and" or "or"? E.g. the item above is "Footnote and Endnote" while the meaning is "you can insert footnote or endnote".
Comment 4 Yousuf Philips (jay) 2015-11-25 22:25:13 UTC
(In reply to Stanislav Horacek from comment #3)
> Which one? Both of them (which makes sense for me)?

That was the menu entry and not the submenu. The submenu includes entries for bibliography as well.

> Also, is there any guideline whether to use "and" or "or"? E.g. the item
> above is "Footnote and Endnote" while the meaning is "you can insert
> footnote or endnote".

I use "and" with submenus as it contains entries for both items and "or" with entries that allow one or the other.
Comment 5 Stanislav Horacek 2015-11-27 08:45:32 UTC
> I use "and" with submenus as it contains entries for both items and "or"
> with entries that allow one or the other.

I understand your point and have no problem with it (even if I feel that it adds more complexity that needed - "or" does not mean "exclusive or" only), but - please discuss this with the Design team and write it into guidelines to be sure that it will be used consistently; a rule stated as a bugzilla comment makes no sense.